# azure.mgmt.dns.operations module

class `azure.mgmt.dns.operations.``RecordSetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RecordSetsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update`(resource_group_name, zone_name, relative_record_set_name, record_type, parameters, if_match=None, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or Updates a RecordSet within a DNS zone.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - relative_record_set_name (str) – The name of the RecordSet, relative to the name of the zone.
    - record_type (str or `RecordType`) – The type of DNS record. Possible values include: ‘A’, ‘AAAA’, ‘CNAME’, ‘MX’, ‘NS’, ‘PTR’, ‘SOA’, ‘SRV’, ‘TXT’
    - parameters (`RecordSet`) – Parameters supplied to the CreateOrUpdate operation.
    - if_match (str) – The etag of Recordset.
    - if_none_match (str) – Defines the If-None-Match condition. Set to ‘*’ to force Create-If-Not-Exist. Other values will be ignored.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RecordSet`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, zone_name, relative_record_set_name, record_type, if_match=None, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Removes a RecordSet from a DNS zone.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - relative_record_set_name (str) – The name of the RecordSet, relative to the name of the zone.
    - record_type (str or `RecordType`) – The type of DNS record. Possible values include: ‘A’, ‘AAAA’, ‘CNAME’, ‘MX’, ‘NS’, ‘PTR’, ‘SOA’, ‘SRV’, ‘TXT’
    - if_match (str) – Defines the If-Match condition. The delete operation will be performed only if the ETag of the zone on the server matches this value.
    - if_none_match (str) – Defines the If-None-Match condition. The delete operation will be performed only if the ETag of the zone on the server does not match this value.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, zone_name, relative_record_set_name, record_type, custom_headers=None, raw=False, **operation_config)

    Gets a RecordSet.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - relative_record_set_name (str) – The name of the RecordSet, relative to the name of the zone.
    - record_type (str or `RecordType`) – The type of DNS record. Possible values include: ‘A’, ‘AAAA’, ‘CNAME’, ‘MX’, ‘NS’, ‘PTR’, ‘SOA’, ‘SRV’, ‘TXT’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RecordSet`
    Return type: | `ClientRawResponse` if raw=true

  `list_all_in_resource_group`(resource_group_name, zone_name, top=None, custom_headers=None, raw=False, **operation_config)

    Lists all RecordSets in a DNS zone.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the zone.
    - zone_name (str) – The name of the zone from which to enumerate RecordSets.
    - top (str) – Query parameters. If null is passed returns the default number of zones.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RecordSetPaged`

  `list_by_type`(resource_group_name, zone_name, record_type, top=None, custom_headers=None, raw=False, **operation_config)

    Lists the RecordSets of a specified type in a DNS zone.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the zone.
    - zone_name (str) – The name of the zone from which to enumerate RecordsSets.
    - record_type (str or `RecordType`) – The type of record sets to enumerate. Possible values include: ‘A’, ‘AAAA’, ‘CNAME’, ‘MX’, ‘NS’, ‘PTR’, ‘SOA’, ‘SRV’, ‘TXT’
    - top (str) – Query parameters. If null is passed returns the default number of zones.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RecordSetPaged`

  `update`(resource_group_name, zone_name, relative_record_set_name, record_type, parameters, if_match=None, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Updates a RecordSet within a DNS zone.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - relative_record_set_name (str) – The name of the RecordSet, relative to the name of the zone.
    - record_type (str or `RecordType`) – The type of DNS record. Possible values include: ‘A’, ‘AAAA’, ‘CNAME’, ‘MX’, ‘NS’, ‘PTR’, ‘SOA’, ‘SRV’, ‘TXT’
    - parameters (`RecordSet`) – Parameters supplied to the Update operation.
    - if_match (str) – The etag of Zone.
    - if_none_match (str) – Defines the If-None-Match condition. Set to ‘*’ to force Create-If-Not-Exist. Other values will be ignored.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RecordSet`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.dns.operations.``ZonesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ZonesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update`(resource_group_name, zone_name, parameters, if_match=None, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or Updates a DNS zone within a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - parameters (`Zone`) – Parameters supplied to the CreateOrUpdate operation.
    - if_match (str) – The etag of Zone.
    - if_none_match (str) – Defines the If-None-Match condition. Set to ‘*’ to force Create-If-Not-Exist. Other values will be ignored.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Zone`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, zone_name, if_match=None, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Removes a DNS zone from a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - if_match (str) – Defines the If-Match condition. The delete operation will be performed only if the ETag of the zone on the server matches this value.
    - if_none_match (str) – Defines the If-None-Match condition. The delete operation will be performed only if the ETag of the zone on the server does not match this value.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `ZoneDeleteResult`
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, zone_name, custom_headers=None, raw=False, **operation_config)

    Gets a DNS zone.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - zone_name (str) – The name of the zone without a terminating dot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Zone`
    Return type: | `ClientRawResponse` if raw=true

  `list_in_resource_group`(resource_group_name, top=None, custom_headers=None, raw=False, **operation_config)

    Lists the DNS zones within a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - top (str) – Query parameters. If null is passed returns the default number of zones.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ZonePaged`

  `list_in_subscription`(top=None, custom_headers=None, raw=False, **operation_config)

    Lists the DNS zones within a resource group.

    Parameters:

    - top (str) – Query parameters. If null is passed returns the default number of zones.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ZonePaged`